[@bigcommerce/checkout-sdk](../README.md) / BaseAccountInstrument

# Interface: BaseAccountInstrument

## Hierarchy

- [`BaseInstrument`](BaseInstrument.md)

  ↳ **`BaseAccountInstrument`**

  ↳↳ [`AchInstrument`](AchInstrument.md)

  ↳↳ [`BankInstrument`](BankInstrument.md)

  ↳↳ [`PayPalInstrument`](PayPalInstrument.md)

## Table of contents

### Properties

- [bigpayToken](BaseAccountInstrument.md#bigpaytoken)
- [defaultInstrument](BaseAccountInstrument.md#defaultinstrument)
- [method](BaseAccountInstrument.md#method)
- [provider](BaseAccountInstrument.md#provider)
- [trustedShippingAddress](BaseAccountInstrument.md#trustedshippingaddress)
- [type](BaseAccountInstrument.md#type)

## Properties

### bigpayToken

• **bigpayToken**: `string`

#### Inherited from

[BaseInstrument](BaseInstrument.md).[bigpayToken](BaseInstrument.md#bigpaytoken)

___

### defaultInstrument

• **defaultInstrument**: `boolean`

#### Inherited from

[BaseInstrument](BaseInstrument.md).[defaultInstrument](BaseInstrument.md#defaultinstrument)

___

### method

• **method**: `string`

#### Overrides

[BaseInstrument](BaseInstrument.md).[method](BaseInstrument.md#method)

___

### provider

• **provider**: `string`

#### Inherited from

[BaseInstrument](BaseInstrument.md).[provider](BaseInstrument.md#provider)

___

### trustedShippingAddress

• **trustedShippingAddress**: `boolean`

#### Inherited from

[BaseInstrument](BaseInstrument.md).[trustedShippingAddress](BaseInstrument.md#trustedshippingaddress)

___

### type

• **type**: ``"account"`` \| ``"bank"``

#### Overrides

[BaseInstrument](BaseInstrument.md).[type](BaseInstrument.md#type)
